var userlist=new Array()
var newslist=new Array()
var ask=0;
function show_index_info()
{
	var ex_i='<table class=a2 width='+assignwidth+' border=0 cellpadding=0 cellspacing=1 align=center>';
	ex_i+='<tr><td width="100%" height=25 colspan=3>';
	ex_i+='<table border=0 cellpadding=0 cellspacing=0 width="100%">';
	ex_i+='<tr class=a1 align=center><td height="25" width="30%">-=> 个 人 情 况 总 揽 <=-</td><td height="25" width="40%">-=> 股 市 实 时 信 息 <=-</td><td height="25" width="30%">-=> 股 市 资 产 排 行 榜 <=-</td></tr>';
	ex_i+='</table>';
	ex_i+='</td></tr>';
	ex_i+='<tr><td width="30%" class=a4 valign=top>';
	ex_i+='<table border="0" cellpadding="2" cellspacing="1" width="100%">';
	if (members)
	{
		stockstatistic=stockstatistic.split("|||")
		if (stockstatistic[1]-stockstatistic[2]>0)
		{
			ykstr='<font color="#FF0000">↑'+Formatnumber(''+Compute(stockstatistic[1]-stockstatistic[2],2)+'')+'';
		}
		else
		{
			if (stockstatistic[1]-stockstatistic[2]<0)
			{
				ykstr='<font color="#008800">↓'+Formatnumber(''+Compute(stockstatistic[2]-stockstatistic[1],2)+'')+'';
			}
			else
			{
				ykstr='<font color="#000000">→￥0.00';
			}
		}
		ex_i+='<tr><td class=a4>&nbsp;帐户资金：</td><td class=a3 align="right">'+Formatnumber(''+Compute(usercash,2)+'')+'&nbsp;元&nbsp;</td></tr>';
		ex_i+='<tr><td class=a4>&nbsp;持股总数：</td><td class=a3 align="right">'+Compute(stockstatistic[0],2)+'&nbsp;股&nbsp;</td></tr>';
		ex_i+='<tr><td class=a4>&nbsp;持股市值：</td><td class=a3 align="right">'+Formatnumber(''+Compute(stockstatistic[1],2)+'')+'&nbsp;元&nbsp;</td></tr>';
		ex_i+='<tr><td class=a4>&nbsp;股票成本：</td><td class=a3 align="right">'+Formatnumber(''+Compute(stockstatistic[2],2)+'')+'&nbsp;元&nbsp;</td></tr>';
		ex_i+='<tr><td class=a4>&nbsp;盈亏情况：</td><td class=a3 align="right">'+ykstr+'&nbsp;元&nbsp;</td></tr>';
		ex_i+='<tr><td class=a4>&nbsp;资产合计：</td><td class=a3 align="right">'+Formatnumber(''+Compute((parseFloat(usercash)+parseFloat(stockstatistic[1])),2)+'')+'&nbsp;元&nbsp;</td></tr>';
		ex_i+='<tr><td class=a4>&nbsp;今日买卖：</td><td class=a3 align="right">'+userdeal+'&nbsp;笔&nbsp;</td></tr>';
	}
	else
	{
		if (username=="")
		{
			ex_i+='<tr><td class=a4>　</td></tr>';
			ex_i+='<tr><td class=a4>　</td></tr>';
			ex_i+='<tr><td class=a3 valign="middle"><b>提示：</b><br>&nbsp;&nbsp;&nbsp;&nbsp;您是“游客”只能参观不能进行开户及股票买卖操作，如果你要开户或买卖股票请您先[<a href="login.asp"><font class="black">登陆</font></a>]或[<a href="reg.asp"><font class="black">注册</font></a>]后在来。</td></tr>';
		}
		else
		{
			reg_info=reg_info.split(",")
			bbsuserinfo=bbsuserinfo.split(",")
			if (reg_info[0]==0)
			{
				ex_i+='<tr><td class=a4><br><br><br></td></tr>';
				ex_i+='<tr><td class=a3 valign="middle"><b>提示：</b><br>&nbsp;&nbsp;&nbsp;&nbsp;“'+smname+'”暂时停止开户谢谢光临。</td></tr>';
			}
			else
			{
				ex_i+='<tr><td class=a3 colspan="3">您要买卖股票请先开户。</td></tr>';
				ex_i+='<tr><td class=a4 colspan="3">开户要求：</td></tr>';
				ex_i+='<tr><td class=a3 align="center">要求内容</td>';
				ex_i+='<td class=a3 align="center">限制数量</td>';
				ex_i+='<td class=a3 align="center">是否</td></tr>';
				ex_i+='<tr><td class=a4 align="left">最少发帖数为：</td>';
				ex_i+='<td class=a3 align="right">'+reg_info[1]+'&nbsp;篇</td>';
				ex_i+='<td class=a4 align="right">';
				if (parseInt(reg_info[1])>parseInt(bbsuserinfo[0]))
				{
					ex_i+='<a title="没有达到要求"><font color="red" style="line-height: normal"><b>×</b></font></a>';
				}
				else
				{
					ask=(ask+1);
					ex_i+='<a title="达到要求"><font color="blue">√</font></a>';
				}
				ex_i+='</td></tr>';
				ex_i+='<tr><td class=a4 align="left">最少体力值为：</td>';
				ex_i+='<td class=a3 align="right">'+reg_info[2]+'&nbsp;点</td>';
				ex_i+='<td class=a4 align="right">';
				if (parseInt(reg_info[2])>parseInt(bbsuserinfo[1]))
				{
					ex_i+='<a title="没有达到要求"><font color="red" style="line-height: normal"><b>×</b></font></a>';
				}
				else
				{
					ask=(ask+1);
					ex_i+='<a title="达到要求"><font color="blue">√</font></a>';
				}
				ex_i+='</td></tr>';
				ex_i+='<tr><td class=a4 align="left">最少经验值为：</td>';
				ex_i+='<td class=a3 align="right">'+reg_info[3]+'&nbsp;点</td>';
				ex_i+='<td class=a4 align="right">';
				if (parseInt(reg_info[3])>parseInt(bbsuserinfo[2]))
				{
					ex_i+='<a title="没有达到要求"><font color="red" style="line-height: normal"><b>×</b></font></a>';
				}
				else
				{
					ask=(ask+1);
					ex_i+='<a title="达到要求"><font color="blue">√</font></a>';
				}
				ex_i+='</td></tr>';
				ex_i+='<tr><td class=a4 align="left">最少现金值为：</td>';
				ex_i+='<td class=a3 align="right">'+reg_info[4]+'&nbsp;币</td>';
				ex_i+='<td class=a4 align="right">';
				if (parseInt(reg_info[4])>parseInt(bbsuserinfo[3]))
				{
					ex_i+='<a title="没有达到要求"><font color="red" style="line-height: normal"><b>×</b></font></a>';
				}
				else
				{
					ask=(ask+1);
					ex_i+='<a title="达到要求"><font color="blue">√</font></a>';
				}
				ex_i+='</td></tr>';
			}
		}
	}
	ex_i+='</table></td>';
	ex_i+='<td width="40%" align="center" valign="middle" class=a4>';
	ex_i+='<table border="0" cellpadding="0" cellspacing="0" width="100%">';
	ex_i+='<tr><td width="100%">';
	ex_i+='<marquee width="100%" height="130" direction="up" scrollAmount="2" scrollDelay="100"  onMouseOut="this.start()" onMouseOver="this.stop()">';
	if (newsliston)
	{
		for (i=0;i<newslist.length;i++)
		{
			newslist[i]=newslist[i].split("$!%^")
			ex_i+='<div><Font color="'+newslist[i][1]+'">★&nbsp;'+newslist[i][0]+'</div><div align="right">'+newslist[i][2]+'</div><br>';
		}
	}
	ex_i+='</marquee>';
	ex_i+='</td></tr></table></td>';
	ex_i+='<td width="30%" valign=top class=a4>';
	ex_i+='<table border="0" cellpadding="2" cellspacing="1" width="100%">';
	if (userliston)
	{
		for (i=0;i<userlist.length;i++)
		{
			userlist[i]=userlist[i].split(",")
			ex_i+='<tr><td class=a3 align="center" width="20"><Font Color=red>'+(i+1)+'</Font></td>';	
			ex_i+='<td class=a4 align="center"><a href="Exsm_Plus_Dispu.asp?uid='+userlist[i][0]+'">'+userlist[i][1]+'</a></td>';
			ex_i+='<td class=a3 align="right">'+Formatnumber(''+Compute(userlist[i][2],2)+'')+'</td>';
		}
	}
	else
	{
		ex_i+='<tr><td class=a4> 还未有人买入股票 </td></tr>';
	}
	ex_i+='</tr></table></td>';
	ex_i+='<tr><td width="100%" height="20" colspan="3" class=a4>';
	ex_i+='<table border="0" cellpadding="0" cellspacing="0" width="100%">';
	ex_i+='<tr><td width="30%" align="center">';
	if (members)
	{
		ex_i+='<a href="Exsm_Plus_Mymanage.asp" onmouseover="cziemenu(event,\'<div><a href=Exsm_Plus_Mymanage.asp>帐户管理</a></div><div><a href=Exsm_Plus_Mymanage.asp?action=Userinfo>帐户设置</a></div><div><a href=Exsm_Plus_Mymanage.asp?action=ReflashInFo>刷新总揽</a></div>\',\'\',0)">帐户管理</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
		ex_i+='<a href="Exsm_Plus_Help.asp">股市帮助</a>';
	}
	else
	{
		if ((ask==4) && (reg_info[0]==1))
		{
			ex_i+='<form name="form1" method="post" action="Exsm_Plus_MyManage.asp?action=new" onSubmit=submitonce(this)>';
			ex_i+='<input type="submit" name="submit" value="开户">';
		}
		else
		{
			ex_i+='<input type="submit" name="submit" disabled="true" value="开户">';
		}
	}
	ex_i+='</td>';
	ex_i+='</form>';
	ex_i+='<td width="40%" align="center"><a href="Exsm_Plus_News.asp">更多信息</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="Exsm_Plus_EachStock.asp">个股上市</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="index.asp">返回论坛</a></td>';
	ex_i+='<td width="30%" align="center"><a href="Exsm_Plus_TopUser.asp?action=Reflash">刷新排名</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="Exsm_Plus_TopUser.asp">详细排名</a></td>';
	ex_i+='</tr></table></td>';
	ex_i+='</tr></tr></table>';
	return ex_i;
}
function ex_index_analyse()
{
	if (analyse_info>0)
	{
		var ex_on='<br><table class=a2 width='+assignwidth+' cellspacing=1 cellpadding=0 align=center border=0>';
		ex_on+='<tr><td align=center height=25 class=a1 id=tabletitlelink style="font-weight:normal"><a name="Online"></a><b>-=> 股 市 统 计</b>&nbsp;[<span id="showstr"><a href="Exsm_Plus_userlist.asp?action=AnalyseDiv&online=1" target="hiddenonline">显示详细列表</a></span>][<a href="Exsm_Plus_userlist.asp">查看在线用户位置</a>]<b> <=-</b></td></tr>';
		ex_on+='<td class=a3><table border=0 cellspacing=0 cellpadding=3 align=center style="width:99%" class=a3>';
		ex_on+='<tr><td height=20 class=a3>目前股市共有 <b>'+(regusernum+guestusernum)+'</b> 位在线股民，会员 <b>'+regusernum+'</b> 位，客人 <b>'+guestusernum+'</b> 位。</td></tr>';
		ex_on+='</table>';
		ex_on+='<table class=a2 border=0 cellspacing=0 cellpadding=0 align=center style="width:99%">';
		ex_on+='<tr><td height=1></td></tr>';
		ex_on+='</table>';
		ex_on+='<table width="99%" align=center border=0 cellspacing=1 cellpadding=0>';
		ex_on+='<tr><td height=2></td></tr>';
		ex_on+='<tr><td width="100%"><span style="display:none" id="Analyse"><span style="width:240px;margin-left:18px;border:1px solid black;background-color:lightyellow;color:black;padding:2px">正在读取在线信息，请稍侯……</span></span></td></tr>';
		ex_on+='</table></td>';
		ex_on+='</table>';
		ex_on+='<br>';
		if (analyseon_info==1)
		{
			ex_on+='<iframe width="0" height="0" src="Exsm_Plus_userlist.asp?action=AnalyseDiv&online=1" name="hiddenonline"></iframe>';
		}
		else
		{
			ex_on+='<iframe width="0" height="0" src="" name="hiddenonline"></iframe>';
		}
	}
	return ex_on;
}
function ex_index_adminmenu()
{
	var exbr='';
	if (analyseon_info<=0){exbr='<br>';}
	var ex_admin='<table class=a2 width='+assignwidth+' cellspacing=1 cellpadding=3 align=center border=0>'+exbr+'';
	ex_admin+='<tr><td class=a1 height=25 align=center>-=> 管 理 选 项 <=-</td></tr>';
	ex_admin+='<tr><td class=a4 align=center><font color=#0066FF>〓 <a href=Exsm_Plus_Admin_Setting.asp>基本设置</a>';
	ex_admin+=' | <a href=Exsm_Plus_Admin_Intervene.asp>社区干预</a>';
	ex_admin+=' | <a href=Exsm_Plus_Admin_Gupiao.asp onmouseover="cziemenu(event,\'<div><a href=Exsm_Plus_Admin_Gupiao.asp>股票管理</a></div><div><a href=Exsm_Plus_Admin_Gupiao.asp?action=NewStock>新股上市</a></div>\',\'\',0)">股票管理</a>';
	ex_admin+=' | <a href=Exsm_Plus_Admin_User.asp?action=UserList onmouseover="cziemenu(event,\'<div><a href=Exsm_Plus_Admin_User.asp?action=UserList>客户管理</a></div><div><a href=Exsm_Plus_Admin_User.asp>奖励管理</a></div>\',\'\',0)">客户管理</a>';
	ex_admin+=' | <a href=Exsm_Plus_Admin_Announcements.asp onmouseover="cziemenu(event,\'<div><a href=Exsm_Plus_Admin_Announcements.asp>浏览公告</a></div><div><a href=Exsm_Plus_Admin_Announcements.asp?action=glance1>浏览新闻</a></div><div><a href=Exsm_Plus_Admin_Announcements.asp?action=AddAnn1>发布公告</a></div><div><a href=Exsm_Plus_Admin_Announcements.asp?action=AddAnn>发布新闻</a></div><div><a href=Exsm_Plus_Admin_Announcements.asp?action=EditAnn1>管理公告</a></div><div><a href=Exsm_Plus_Admin_Announcements.asp?action=EditAnn>管理新闻</a></div>\',\'\',0)">公告管理</a>';
	ex_admin+=' | <a href=Exsm_Plus_Admin_log.asp onmouseover="cziemenu(event,\'<div><a href=Exsm_Plus_Admin_log.asp?action=Anlog>公新操作</a></div><div><a href=Exsm_Plus_Admin_log.asp?action=Stlog>股票操作</a></div><div><a href=Exsm_Plus_Admin_log.asp?action=Uslog>用户操作</a></div><div><a href=Exsm_Plus_Admin_log.asp?action=Prlog>资金流向</a></div><div><a href=Exsm_Plus_Admin_log.asp?action=Ellog>其它操作</a></div><div><a href=Exsm_Plus_Admin_log.asp?action=Ellog>数据库操作</a></div>\',\'\',0)">日志管理</a>';
	ex_admin+=' | <a href=Exsm_Plus_Admin_Data.asp>数据库管理</a> 〓</font></td></tr>';
	ex_admin+='</table>';
	return ex_admin;
}